authentication with Rail 2.3 and Ruby 1.9

HI I got a project using rails templates it uses authlogic for
authentication and is 1.9 compatible.
Check it out in: http://github.com/hectoregm/groundwork/tree/master